**********Software version: Stata/MP 13.1


clear all
clear
capture log close
set more off


* Change Directory to "\DataFiles"
cd "C:\Dropbox\CivilExam\FinalFiles\DataFiles"
use Data\CntyYear.dta, clear


***************************************** Gen variables
tabu year, gen (ydummy)


gen year1894=ydummy1
gen year1895=ydummy2
gen year1896=ydummy3
gen year1897=ydummy4
gen year1898=ydummy5
gen year1899=ydummy6
gen year1900=ydummy7
gen year1901=ydummy8
gen year1902=ydummy9
gen year1903=ydummy10
gen year1904=ydummy11
gen year1905=ydummy12
gen year1906=ydummy13



gen lnpop2=(lnpop-12.38011)^2
gen lnpop3=(lnpop-12.38011)^3



local var "lnquota lnpop lnpop2 lnpop3 treaty coast lnsize prefcap"
foreach x of local var {
local i=1894
while `i'<1907 {
gen `x'`i'=`x'*year`i'
local i=`i'+1
}
}





*********************** Table A.4: Year-by-Year Impacts across Counties in Guangdong

#delimit ;
xi: xtreg  member_d lnquota1894-lnquota1899 lnquota1901-lnquota1906 
                  i.prefcd*i.year,  fe cluster(countyid);
#delimit cr
outreg2 lnquota1894-lnquota1899 lnquota1901-lnquota1906 using Tables\Table_A4.doc, se  bdec(3) rdec(3) nocons replace

lincom -(lnquota1894+lnquota1895+lnquota1896+lnquota1897 ///
+lnquota1898+lnquota1899+lnquota1901+lnquota1902+lnquota1903+lnquota1904)/10+(lnquota1905+lnquota1906)/2


#delimit ;
xi: xtreg  member_d lnquota1894-lnquota1899 lnquota1901-lnquota1906 
                  lnpop1894-lnpop1899 lnpop1901-lnpop1906 
                  lnpop21894-lnpop21899 lnpop21901-lnpop21906 
                  lnpop31894-lnpop31899 lnpop31901-lnpop31906 
                  lnsize1894-lnsize1899  lnsize1901-lnsize1906
i.prefcd*i.year, fe cluster(countyid);
#delimit cr
outreg2 lnquota1894-lnquota1899 lnquota1901-lnquota1906 using Tables\Table_A4.doc, se  bdec(3) rdec(3) nocons append


lincom -(lnquota1894+lnquota1895+lnquota1896+lnquota1897 ///
+lnquota1898+lnquota1899+lnquota1901+lnquota1902+lnquota1903+lnquota1904)/10+(lnquota1905+lnquota1906)/2


#delimit ;
xi: xtreg  member_d lnquota1894-lnquota1899 lnquota1901-lnquota1906 
                  lnpop1894-lnpop1899 lnpop1901-lnpop1906 
                  lnpop21894-lnpop21899 lnpop21901-lnpop21906 
                  lnpop31894-lnpop31899 lnpop31901-lnpop31906 
                  treaty1894-treaty1899 treaty1901-treaty1906 
				  prefcap1894-prefcap1899 prefcap1901-prefcap1906
                  coast1894-coast1899  coast1901-coast1906 
                  lnsize1894-lnsize1899  lnsize1901-lnsize1906
i.prefcd*i.year, fe cluster(countyid);
#delimit cr
outreg2 lnquota1894-lnquota1899 lnquota1901-lnquota1906 using Tables\Table_A4.doc, se  bdec(3) rdec(3) nocons append


lincom -(lnquota1894+lnquota1895+lnquota1896+lnquota1897 ///
+lnquota1898+lnquota1899+lnquota1901+lnquota1902+lnquota1903+lnquota1904)/10+(lnquota1905+lnquota1906)/2

#delimit ;
xi: xtreg  member_d lnquota1894-lnquota1899 lnquota1901-lnquota1906 
                  lnpop1894-lnpop1899 lnpop1901-lnpop1906 
                   lnpop21894-lnpop21899 lnpop21901-lnpop21906 
                  lnpop31894-lnpop31899 lnpop31901-lnpop31906 
				  treaty1894-treaty1899 treaty1901-treaty1906 
				  prefcap1894-prefcap1899 prefcap1901-prefcap1906
                  coast1894-coast1899  coast1901-coast1906 
                  lnsize1894-lnsize1899  lnsize1901-lnsize1906
i.prefcd*i.year [aw=1/pop], fe cluster(countyid);
#delimit cr
outreg2 lnquota1894-lnquota1899 lnquota1901-lnquota1906 using Tables\Table_A4.doc, se  bdec(3) rdec(3) nocons append

lincom -(lnquota1894+lnquota1895+lnquota1896+lnquota1897 ///
+lnquota1898+lnquota1899+lnquota1901+lnquota1902+lnquota1903+lnquota1904)/10+(lnquota1905+lnquota1906)/2




*** The sources of Figure A6 (Panel b)
outreg2 lnquota1894-lnquota1899 lnquota1901-lnquota1906 using Figures\Source_Figure_A6.doc, se  bdec(3) rdec(3) nocons replace
*** The sources of Figure A6 (Panel a)
table year, c(mean member_d)




