**********Software version: Stata/MP 13.1


clear all
clear
capture log close
set more off


* Change Directory to "\DataFiles"
cd "C:\Dropbox\CivilExam\FinalFiles\DataFiles"

use  Data\PrefMonth.dta, clear




************************************************************************************************************************************
**********************************        Variables definition

************************************************************************************************************************************



*************** Post abolition dummy
gen post=(yrmon>190508)
replace post=. if yrmon==190500

*************** Polynomials of ln popu.
gen lnpop2=(lnpop-13.61967)^2
gen lnpop3=(lnpop-13.61967)^3

**************** Interaction with post-abolition

foreach x of varlist lnquota  {
gen `x'_post04=post*`x'
}

foreach x of varlist  lnpop lnpop2 lnpop3  lnsize  coast mainriver treaty small middle large  {
gen post04_`x'=post*`x'
}






************************************************************************************************************************************
**********************************         Regressions

************************************************************************************************************************************



********************************** Table 2 (columns 6-10: Monthly): The Impact of Quotas I: On Revolution Participation
xi: xtreg tongmenghui_d  lnquota_post04  i.yrmon , fe cluster(prefid)
outreg2 lnquota_post04  using Tables\Table_2_monthly.doc, se  bdec(3) rdec(3) nocons replace


xi: xtreg tongmenghui_d  lnquota_post04  i.yrmon*i.provcd , fe cluster(prefid)
outreg2 lnquota_post04  using Tables\Table_2_monthly.doc, se  bdec(3) rdec(3) nocons append


xi: xtreg tongmenghui_d  lnquota_post04 post04_lnpop post04_lnsize-post04_large i.yrmon*i.provcd , fe cluster(prefid)
outreg2 lnquota_post04  post04_lnpop post04_lnsize  post04_coast post04_mainriver  post04_treaty   post04_small post04_middle post04_large  using Tables\Table_2_monthly.doc, se  bdec(3) rdec(3) nocons append


xi: xtreg tongmenghui_d  lnquota_post04-post04_large i.yrmon*i.provcd, fe cluster(prefid)
outreg2 lnquota_post04  post04_lnpop post04_lnpop2 post04_lnpop3 post04_lnsize  post04_coast post04_mainriver  post04_treaty   post04_small post04_middle post04_large  using Tables\Table_2_monthly.doc, se  bdec(3) rdec(3) nocons append


xi: xtreg tongmenghui_d  lnquota_post04-post04_large i.yrmon*i.provcd [aw=1/pop], fe cluster(prefid)
outreg2 lnquota_post04  post04_lnpop post04_lnpop2 post04_lnpop3 post04_lnsize  post04_coast post04_mainriver  post04_treaty   post04_small post04_middle post04_large  using Tables\Table_2_monthly.doc, se  bdec(3) rdec(3) nocons append





********************************** Sources of Figure 3 (Panel b): The Dynamic Impacts of the Quotas on Revolution Participation

xi: reg  tongmenghui_d lnquota lnpop  lnpop2 lnpop3 lnsize coast  mainriver treaty small middle large  i.provcd  if yrmon==190500, cluster(prefid)
outreg2 lnquota   using Figures\Source_Figure_3b.doc, se  bdec(3) rdec(3) nocons replace

xi: reg  tongmenghui_d lnquota lnpop  lnpop2 lnpop3 lnsize coast  mainriver treaty small middle large  i.provcd  if yrmon==190507, cluster(prefid)
outreg2 lnquota   using Figures\Source_Figure_3b.doc, se  bdec(3) rdec(3) nocons append

xi: reg  tongmenghui_d lnquota lnpop  lnpop2 lnpop3 lnsize coast  mainriver treaty small middle large  i.provcd  if yrmon==190508, cluster(prefid)
outreg2 lnquota   using Figures\Source_Figure_3b.doc, se  bdec(3) rdec(3) nocons append

xi: reg  tongmenghui_d lnquota lnpop  lnpop2 lnpop3 lnsize coast  mainriver treaty small middle large  i.provcd  if yrmon==190509, cluster(prefid)
outreg2 lnquota   using Figures\Source_Figure_3b.doc, se  bdec(3) rdec(3) nocons append

xi: reg  tongmenghui_d lnquota lnpop  lnpop2 lnpop3 lnsize coast  mainriver treaty small middle large  i.provcd  if yrmon==190510, cluster(prefid)
outreg2 lnquota   using Figures\Source_Figure_3b.doc, se  bdec(3) rdec(3) nocons append

xi: reg  tongmenghui_d lnquota lnpop  lnpop2 lnpop3 lnsize coast  mainriver treaty small middle large  i.provcd  if yrmon==190511, cluster(prefid)
outreg2 lnquota   using Figures\Source_Figure_3b.doc, se  bdec(3) rdec(3) nocons append

xi: reg  tongmenghui_d lnquota lnpop  lnpop2 lnpop3 lnsize coast  mainriver treaty small middle large  i.provcd  if yrmon==190512, cluster(prefid)
outreg2 lnquota   using Figures\Source_Figure_3b.doc, se  bdec(3) rdec(3) nocons append




